<?php
// comments.php
// Tiny theme for WordPress
// Copyright (C) 2008 Geckoandfly.com

// Do not delete these lines
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ( __('Please do not load this page directly. Thanks!') );

if (!empty($post->post_password)) { // if there's a password
	if ($_COOKIE['wp-postpass_'.$cookiehash] != $post->post_password) {  // and it doesn't match the cookie
		?>

		<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>

		<?php
		return;
	}
}

// This variable is for alternating comment background - borrowed from Kubrick
$oddcomment = 'alt';
?>

<?php if ($comments) : ?>
<h3 id="comments"><?php comments_number( __('No Comments','bnTiny'), __('1 Comment','bnTiny'), __('% Comments','bnTiny') );?></h3>

<ol class="commentlist">

<?php foreach ($comments as $comment) : ?>
	<li id="comment-<?php comment_ID() ?>" class="<?php echo $oddcomment; ?>">
	<span class="posted"><cite><?php comment_author_link() ?></cite> <?php _e('said on','bnTiny'); ?>
	<a href="<?php the_permalink() ?>#comment-<?php comment_ID() ?>" title=""><?php comment_date('j M Y') ?> <?php _e('at','bnTiny'); ?> <?php comment_time() ?></a>:
	<?php edit_comment_link( __('Edit','bnTiny'),'',''); ?></span>
	<?php comment_text() ?>
	</li>
<?php
	// Change every other comment to the alt class - borrowed from Kubrick
	if ('alt' == $oddcomment) $oddcomment = '';
	else $oddcomment = 'alt';
?>

<?php endforeach; /* end for each comment */ ?>

</ol>

<?php endif; ?>

<?php if ('open' == $post-> comment_status) :

// check if comments need registration and if user is logged in
if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('Log in','bnTiny'); ?></a> <?php _e('to post a comment.','bnTiny'); ?></p>
<?php
else :

if (function_exists('bnCommentPreviewValidate')) {
	bnCommentPreviewValidate(); // draws the code for the comments form from the ComPreVal plugin
} else { // 'normal' comments form without preview
?>
<div id="postcomment">
<h3 id="respond"><?php _e('Leave a Reply','bnTiny'); ?></h3>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<p><label for="comment"><?php _e('Your Comment','bnTiny'); ?></label>
<textarea name="comment" id="comment" cols="50" rows="10"></textarea></p>

<?php if ( $user_ID ) : ?>
<p><?php _e('Logged in as','bnTiny'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account','bnTiny');?>"><?php _e('Logout','bnTiny'); ?> &#187;</a></p>
<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" />
<label for="author"><?php _e('Name','bnTiny'); ?></label></p>
<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" />
<label for="email"><?php _e('Email (will not be published)','bnTiny'); ?></label></p>
<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" />
<label for="url"><?php _e('Website','bnTiny'); ?></label></p>

<?php endif; ?>

<p><input name="submitComment" type="submit" id="submitComment" value="<?php _e('Submit','bnTiny'); ?>" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
<?php do_action('comment_form', $post->ID); ?>
</form>
</div>
<?php } ?>

<?php endif; // if registration required and not logged in ?>



<?php endif; ?>
